import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'agentStatus'
})
export class AgentStatusPipe implements PipeTransform {

  transform(value: any, ...args: any[]): any {
    if (value) {
      switch (value) {
        case 'AC':
          return 'label.active';
        case 'IN':
          return 'label.inactive';
      }
    }

    return value;
  }

}
